This page was not yet optimized for use on mobile devices.
ExtraHop Cryptographic Module
Certificate details
| Certificate ID | #4675 |
|---|---|
| Status | active |
| Validation dates | 30.01.2024 |
| Sunset date | 29-01-2029 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys) |
| Exceptions |
|
| Description | The ExtraHop Cryptographic Module 2.0 is a cryptographic library embedded in the ExtraHop Reveal(x) 360 application software. The ExtraHop Cryptographic Module 2.0 offers symmetric encryption/decryption, digital signature generation/verification, hashing, cryptographic key generation, random number generation, message authentication, and key establishment functions to secure data-at-rest/data-in-flight and to support secure communications protocols (including SSH and TLS 1.2/1.3). |
| Tested configurations |
|
| Vendor | ExtraHop Networks, Inc. http://www.extrahop.com |
| Lab | Lightship Security, Inc. |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, CAST, CAST5, RC2, RC4, RC5, DES, Triple-DES, TripleDES, ChaCha20, Poly1305, IDEA, Blowfish, Camellia, ARIA, SM4, SEED, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, EdDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-256, SHA3-224, SHA3-384, SHA3-256, SHA3-512, SHA-3, Blake2, MD4, MD5, RIPEMD, PBKDF2, PBKDFSchemes
MAC, Key agreementProtocols
SSH, SSL, TLS, TLS v1.2, TLS v1.3, TLS 1.2, TLS 1.3Randomness
DRBG, RNG, RBGElliptic Curves
P-224, P-256, P-384, P-521, P-192, B-233, B-283, B-409, B-571, K-233, K-283, K-409, K-571, B-163, K-163Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard API constants
SM2Security level
Level 1Standards
FIPS 140-3, FIPS PUB 7, FIPS PUB 186-4, FIPS PUB 198-1, FIPS PUB 197, FIPS PUB 202, FIPS PUB 180-4, NIST SP 800-38A, NIST SP 800-38B, NIST SP 800-38C, NIST SP 800-38D, NIST SP 800-38E, NIST SP 800-38F, NIST SP 800-132, NIST SP 800-67, SP 800-38A, SP 800-38B, PKCS#1, RFC 25, RFC 8446, RFC 5288, RFC 5246, ISO/IEC 19790, ISO/IEC 24579, ISO/IEC 19790:2012, ISO/IEC 19790:2021Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4675,
"dgst": "bb12fc5a6af710c3",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES-XTSA4978",
"AES-CTRA4978",
"SHAKE-256A4978",
"ECDSA KeyGen (FIPS186-4)A4978",
"HMAC-SHA2-224A4978",
"AES-KWA4978",
"AES-CBCA4978",
"HMAC-SHA2-512A4978",
"SHA2-512A4978",
"AES-CCMA4978",
"DSA PQGGen (FIPS186-4)A4978",
"TDES-ECBA4978",
"RSA KeyGen (FIPS186-4)A4978",
"AES-ECBA4978",
"TLS v1.2 KDF RFC7627A4978",
"PBKDFA4978",
"TDES-CFB8A4978",
"DSA KeyGen (FIPS186-4)A4978",
"KDF TLSA4978",
"DSA SigVer (FIPS186-4)A4978",
"SHA2-224A4978",
"SHA2-256A4978",
"SHA3-256A4978",
"AES-CFB128A4978",
"AES-OFBA4978",
"DSA SigGen (FIPS186-4)A4978",
"ECDSA SigGen (FIPS186-4)A4978",
"TDES-CFB1A4978",
"AES-CFB8A4978",
"HMAC-SHA2-384A4978",
"TDES-CMACA4978",
"HMAC-SHA3-256A4978",
"HMAC-SHA2-256A4978",
"SHA-1A4978",
"SHAKE-128A4978",
"HMAC-SHA3-512A4978",
"AES-GCMA4978",
"HMAC-SHA-1A4978",
"RSA SigVer (FIPS186-4)A4978",
"AES-KWPA4978",
"KDF SSHA4978",
"KAS-FFC-SSC Sp800-56Ar3A4978",
"#A4978",
"SHA3-384A4978",
"TDES-CBCA4978",
"HMAC-SHA3-384A4978",
"ECDSA KeyVer (FIPS186-4)A4978",
"SHA2-384A4978",
"HMAC-SHA3-224A4978",
"TLS v1.3 KDFA4979",
"KAS-ECC-SSC Sp800-56Ar3A4978",
"SHA3-512A4978",
"TDES-CFB64A4978",
"AES-CMACA4978",
"KDA HKDF SP800-56Cr2A4978",
"#A4979",
"AES-CFB1A4978",
"SHA3-224A4978",
"ECDSA SigVer (FIPS186-4)A4978",
"AES-GMACA4978",
"Counter DRBGA4978",
"DSA PQGVer (FIPS186-4)A4978",
"RSA SigGen (FIPS186-4)A4978",
"TDES-OFBA4978"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 26,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDH": 7
},
"ECDSA": {
"ECDSA": 26
},
"EdDSA": {
"EdDSA": 4
}
},
"FF": {
"DH": {
"DH": 8,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 27
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 8
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 2
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 10
},
"GCM": {
"GCM": 34
},
"OFB": {
"OFB": 7
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 18
},
"TLS": {
"SSL": {
"SSL": 3
},
"TLS": {
"TLS": 34,
"TLS 1.2": 3,
"TLS 1.3": 5,
"TLS v1.2": 3,
"TLS v1.3": 2
}
}
},
"crypto_scheme": {
"KA": {
"Key agreement": 2
},
"MAC": {
"MAC": 11
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 2,
"B-233": 5,
"B-283": 5,
"B-409": 5,
"B-571": 5,
"K-163": 4,
"K-233": 7,
"K-283": 5,
"K-409": 5,
"K-571": 5,
"P-192": 8,
"P-224": 16,
"P-256": 10,
"P-384": 10,
"P-521": 10
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"Certificate 6": 4
}
},
"fips_certlike": {
"Certlike": {
"AES GCM encrypt KAT 48": 1,
"AES-CMAC 128": 1,
"AES-GCM 128": 1,
"CVL 23": 1,
"DRBG 26": 1,
"DRBG 9": 1,
"DSA 27": 5,
"HMAC 128": 2,
"PKCS#1": 8,
"RSA 38": 1,
"SHA-1": 12,
"SHA-256": 1,
"SHA-3": 1,
"SHA2- 256": 7,
"SHA2- 384": 4,
"SHA2- 512": 5,
"SHA2-224": 14,
"SHA2-256": 17,
"SHA2-384": 12,
"SHA2-512": 12,
"SHA3- 224": 1,
"SHA3- 256": 1,
"SHA3- 384": 1,
"SHA3- 512 112": 1,
"SHA3-224": 3,
"SHA3-256": 4,
"SHA3-384": 3,
"SHA3-512": 3,
"SHS 41": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"BLAKE": {
"Blake2": 3
},
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 4,
"PBKDF2": 6
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 12
},
"SHA2": {
"SHA-256": 1
},
"SHA3": {
"SHA-3": 1,
"SHA3-224": 3,
"SHA3-256": 4,
"SHA3-384": 3,
"SHA3-512": 3
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"SM2": 2
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 39
},
"RNG": {
"RBG": 2,
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 54,
"FIPS PUB 180-4": 1,
"FIPS PUB 186-4": 17,
"FIPS PUB 197": 2,
"FIPS PUB 198-1": 1,
"FIPS PUB 202": 1,
"FIPS PUB 7": 1
},
"ISO": {
"ISO/IEC 19790": 6,
"ISO/IEC 19790:2012": 1,
"ISO/IEC 19790:2021": 1,
"ISO/IEC 24579": 4
},
"NIST": {
"NIST SP 800-132": 2,
"NIST SP 800-38A": 1,
"NIST SP 800-38B": 2,
"NIST SP 800-38C": 2,
"NIST SP 800-38D": 6,
"NIST SP 800-38E": 2,
"NIST SP 800-38F": 2,
"NIST SP 800-67": 2,
"SP 800-38A": 1,
"SP 800-38B": 1
},
"PKCS": {
"PKCS#1": 4
},
"RFC": {
"RFC 25": 1,
"RFC 5246": 1,
"RFC 5288": 1,
"RFC 8446": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 95
},
"CAST": {
"CAST": 4,
"CAST5": 3
},
"RC": {
"RC2": 3,
"RC4": 3,
"RC5": 3
}
},
"DES": {
"3DES": {
"Triple-DES": 20,
"TripleDES": 1
},
"DES": {
"DES": 7
}
},
"constructions": {
"MAC": {
"CMAC": 23,
"HMAC": 25
}
},
"djb": {
"ChaCha": {
"ChaCha20": 3
},
"Poly": {
"Poly1305": 2
}
},
"miscellaneous": {
"ARIA": {
"ARIA": 3
},
"Blowfish": {
"Blowfish": 3
},
"Camellia": {
"Camellia": 3
},
"IDEA": {
"IDEA": 3
},
"SEED": {
"SEED": 3
},
"SM4": {
"SM4": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES-XTSA4978",
"AES-CTRA4978",
"SHAKE-256A4978",
"ECDSA KeyGen (FIPS186-4)A4978",
"HMAC-SHA2-224A4978",
"AES-KWA4978",
"AES-CBCA4978",
"HMAC-SHA2-512A4978",
"SHA2-512A4978",
"AES-CCMA4978",
"DSA PQGGen (FIPS186-4)A4978",
"TDES-ECBA4978",
"RSA KeyGen (FIPS186-4)A4978",
"AES-ECBA4978",
"TLS v1.2 KDF RFC7627A4978",
"PBKDFA4978",
"TDES-CFB8A4978",
"DSA KeyGen (FIPS186-4)A4978",
"KDF TLSA4978",
"DSA SigVer (FIPS186-4)A4978",
"SHA2-224A4978",
"SHA2-256A4978",
"SHA3-256A4978",
"AES-CFB128A4978",
"AES-OFBA4978",
"DSA SigGen (FIPS186-4)A4978",
"ECDSA SigGen (FIPS186-4)A4978",
"TDES-CFB1A4978",
"AES-CFB8A4978",
"HMAC-SHA2-384A4978",
"TDES-CMACA4978",
"HMAC-SHA3-256A4978",
"HMAC-SHA2-256A4978",
"SHA-1A4978",
"SHAKE-128A4978",
"HMAC-SHA3-512A4978",
"AES-GCMA4978",
"HMAC-SHA-1A4978",
"RSA SigVer (FIPS186-4)A4978",
"AES-KWPA4978",
"KDF SSHA4978",
"KAS-FFC-SSC Sp800-56Ar3A4978",
"SHA3-384A4978",
"TDES-CBCA4978",
"HMAC-SHA3-384A4978",
"ECDSA KeyVer (FIPS186-4)A4978",
"SHA2-384A4978",
"HMAC-SHA3-224A4978",
"TLS v1.3 KDFA4979",
"KAS-ECC-SSC Sp800-56Ar3A4978",
"SHA3-512A4978",
"TDES-CFB64A4978",
"AES-CMACA4978",
"KDA HKDF SP800-56Cr2A4978",
"AES-CFB1A4978",
"SHA3-224A4978",
"ECDSA SigVer (FIPS186-4)A4978",
"AES-GMACA4978",
"Counter DRBGA4978",
"DSA PQGVer (FIPS186-4)A4978",
"RSA SigGen (FIPS186-4)A4978",
"TDES-OFBA4978"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A4978",
"#A4979"
]
},
"policy_metadata": {
"/Author": "Corsec Security, Inc.",
"/CreationDate": "D:20240127135910-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20240127135910-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Title": "FIPS 140-3 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 919212,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=37589",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=37588",
"http://www.corsec.com/",
"mailto:[email protected]",
"http://csrc.nist.gov/groups/STM/cmvp",
"http://www.extrahop.com/",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/Validated-Modules/Search"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 41
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "9298d1b5775413a4573e4f34f01d52c8769d4e9464a7f643e6ae90a2c0118434",
"source_hash": "42ae8504c760fb64a0c3723167e4992b2effaf3c1c0b894fc86a759cf5c4e7d4",
"txt_hash": "42523456936b4db55714e3bdb869443b3c344f886b19dbe10d0fe6c5481ddb23"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in approved mode. No assurance of the minimum strength of generated SSPs (e.g., keys)",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/January 2024_010224_0801.pdf",
"date_sunset": "2029-01-29",
"description": "The ExtraHop Cryptographic Module 2.0 is a cryptographic library embedded in the ExtraHop Reveal(x) 360 application software. The ExtraHop Cryptographic Module 2.0 offers symmetric encryption/decryption, digital signature generation/verification, hashing, cryptographic key generation, random number generation, message authentication, and key establishment functions to secure data-at-rest/data-in-flight and to support secure communications protocols (including SSH and TLS 1.2/1.3).",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "ExtraHop Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "2.0",
"tested_conf": [
"Debian 9 running on a Dell PowerEdge R440 with an Intel\u00ae Xeon Silver 4214R with PAA",
"Debian 9 running on a Dell PowerEdge R440 with an Intel\u00ae Xeon Silver 4214R without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-01-30",
"lab": "Lightship Security, Inc.",
"validation_type": "Initial"
}
],
"vendor": "ExtraHop Networks, Inc.",
"vendor_url": "http://www.extrahop.com"
}
}